incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mathias Bauer <Mathias_Ba...@gmx.net>
Subject Re: how to do with such ext modules in AOOo?
Date Sat, 17 Sep 2011 09:53:28 GMT
Am 15.09.2011 08:01, schrieb Shao Zhi Zhao:

> 
> 
> hi,
> 
> how to do with such ext modules in AOOo?
> |------------------------------------+------------------------------------|
> |Ext Module                          |License                             |
> |------------------------------------+------------------------------------|
> |glibc-2.1.3                         |GPL 2                               |
> |------------------------------------+------------------------------------|
> |jfreereport                         |LGPL                                |
> |------------------------------------+------------------------------------|
> |STLport-4.5                         |Copyright (c) 1999, 2000 Boris      |
> |                                    |Fomitchev                           |
> |------------------------------------+------------------------------------|
> |epm-3.7                             |GPL 2                               |
> |------------------------------------+------------------------------------|
> |bsh-2.0b1-src                       |SPL and LGPL                        |
> |------------------------------------+------------------------------------|
> |db-4.7.25.NC-custom                 |Copyright (c) 1990,2008 Oracle      |
> |------------------------------------+------------------------------------|
> |boost_1_39_0                        |Boost Software License              |
> |------------------------------------+------------------------------------|
> |cairo-1.8.0                         |LGPL                                |
> |------------------------------------+------------------------------------|

glibc has been discussed elsewhere.

jfreereport is only needed for the ReportBuilder extension.

stlport is still needed until we decide to change the C++ UNO Runtime
incompatibly, I don't think that the license will prevent us from using
it. In that case we could do the planned change to compiler stl earler.

epm is not needed for OOo, only for the build in Linux. We can make it a
build requirement (like compiler or linker) and in fact I already have
committed a patch for that.

"bsh" seems to be BeanShell. In the worst case we had to remove it. No
big deal, IMHO.

BerkelyDB shouldn't be a problem licensewise.

The same is true for boost, IIRC.

cairo is not needed at all, it's just an optional component.

Regards,
Mathias

Mime
View raw message